import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import 'normalize.css'
import './styles/common.scss'
// 引入组件库的少量全局样式变量
import 'tdesign-vue-next/es/style/index.css';


// svg图标组件
import svgIcon from "@/components/SvgIcon.vue";
//引入注册脚本
import 'virtual:svg-icons-register'

import EmptyWrap from '@/components/Empty.vue'


const app= createApp(App)

app.component('svg-icon', svgIcon)
app.component('empty-wrap', EmptyWrap)
app.use(router)
app.mount('#app')
